# Class VulkanImageViewCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanImageViewCreateInfo.Builder

Enclosing class:
  `VulkanImageViewCreateInfo`

public static final class VulkanImageViewCreateInfo.Builder extends Object
Builds instances of type `VulkanImageViewCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanImageViewCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanImageViewCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanImageViewCreateInfo.Builder`
  `addFlags(VulkanImageViewCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanImageViewCreateInfo.Builder`
  `addFlags(VulkanImageViewCreateFlag... elements)`
  Adds elements to `flags` set.
  `VulkanImageViewCreateInfo`
  `build()`
  Builds a new `VulkanImageViewCreateInfo`.
  `final VulkanImageViewCreateInfo.Builder`
  `from(VulkanImageViewCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanImageViewCreateInfoType` instance.
  `final VulkanImageViewCreateInfo.Builder`
  `setComponents(VulkanComponentMapping components)`
  Initializes the value for the `components` attribute.
  `final VulkanImageViewCreateInfo.Builder`
  `setFlags(Iterable<VulkanImageViewCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.
  `final VulkanImageViewCreateInfo.Builder`
  `setFormat(VulkanFormat format)`
  Initializes the value for the `format` attribute.
  `final VulkanImageViewCreateInfo.Builder`
  `setImage(VulkanImageType image)`
  Initializes the value for the `image` attribute.
  `final VulkanImageViewCreateInfo.Builder`
  `setSubresourceRange(VulkanImageSubresourceRange subresourceRange)`
  Initializes the value for the `subresourceRange` attribute.
  `final VulkanImageViewCreateInfo.Builder`
  `setViewType(VulkanImageViewKind viewType)`
  Initializes the value for the `viewType` attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanImageViewCreateInfo.Builder from(VulkanImageViewCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanImageViewCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanImageViewCreateInfo.Builder addFlags(VulkanImageViewCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanImageViewCreateInfo.Builder addFlags(VulkanImageViewCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanImageViewCreateInfo.Builder setFlags(Iterable<VulkanImageViewCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanImageViewCreateInfo.Builder addAllFlags(Iterable<VulkanImageViewCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setImage

    public final VulkanImageViewCreateInfo.Builder setImage(VulkanImageType image)
    Initializes the value for the `image` attribute.
    Parameters:
      `image` - The value for image
    Returns:
      `this` builder for use in a chained invocation

  - ### setViewType

    public final VulkanImageViewCreateInfo.Builder setViewType(VulkanImageViewKind viewType)
    Initializes the value for the `viewType` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `viewType`.

    Parameters:
      `viewType` - The value for viewType
    Returns:
      `this` builder for use in a chained invocation

  - ### setFormat

    public final VulkanImageViewCreateInfo.Builder setFormat(VulkanFormat format)
    Initializes the value for the `format` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `format`.

    Parameters:
      `format` - The value for format
    Returns:
      `this` builder for use in a chained invocation

  - ### setComponents

    public final VulkanImageViewCreateInfo.Builder setComponents(VulkanComponentMapping components)
    Initializes the value for the `components` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `components`.

    Parameters:
      `components` - The value for components
    Returns:
      `this` builder for use in a chained invocation

  - ### setSubresourceRange

    public final VulkanImageViewCreateInfo.Builder setSubresourceRange(VulkanImageSubresourceRange subresourceRange)
    Initializes the value for the `subresourceRange` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `subresourceRange`.

    Parameters:
      `subresourceRange` - The value for subresourceRange
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanImageViewCreateInfo build()
    Builds a new `VulkanImageViewCreateInfo`.
    Returns:
      An immutable instance of VulkanImageViewCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing